// Copyright 2007 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wClientRootPane:
//   Simple class to capture the Root and AltRoots fields from a client.

#ifndef p4wClientRootPane_H
#define p4wClientRootPane_H


//
// Includes
#include "p4wPane.h"


//
// External classes
class StrDict;


//
// p4wClientRootPane class
class p4wClientRootPane : public p4wPane {

public:
	//
	// Constructors and destructor.
				p4wClientRootPane(p4wView & ParentView, p4wRequest & Request);
	virtual		~p4wClientRootPane();

	//
	// Render functions.
	virtual	void		Begin();
	virtual	void		Render(StrDict * varList);
	virtual void		RenderInfo( char *data, char level );
	virtual void		RenderError( char *data, int escapeHTML );
	virtual	void		End();

	StrPtr &GetClient()   { return fClient; };
	StrPtr &GetOwner()    { return fOwner; };
	StrPtr &GetHost()     { return fHost; };
	StrPtr &GetRoot()     { return fRoot; };
	StrPtr &GetAltRoots() { return fAltRoots; };
	int GetIsLockedAway() { return fIsLockedAway; };
	int IsInvalidClient() { return fInvalidClient; };

	const StrPtr &GetErrorMsg() { return fErrorText; }

private:
	StrBuf fClient;
	StrBuf fOwner;
	StrBuf fHost;
	StrBuf fRoot;
	StrBuf fAltRoots;
	int fIsLockedAway;
	int fInvalidClient;

	StrBuf		fErrorText;
};


#endif // p4wClientRootPane_H
